Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.env
Class Tracer

    java.lang.Object
      org.apache.commons.scxml.env.Tracer

All Implemented Interfaces:
  ErrorHandler, ErrorReporter, SCXMLListener, Serializable

public class Tracer
extends Object
implements ErrorHandler, ErrorReporter, SCXMLListener, Serializable

A simple tracer connected to Apache Commons Logging.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.commons.scxml.ErrorReporter
`EXPRESSION_ERROR, ILLEGAL_CONFIG, ILLEGAL_INITIAL, NO_INITIAL, NON_DETERMINISTIC, UNDEFINED_VARIABLE, UNKNOWN_ACTION`

Constructor Summary
`Tracer()` Constructor.

Method Summary
`void` | `error(SAXParseException exception)`
`void` | `fatalError(SAXParseException exception)`
`void` | `onEntry(TransitionTarget target)` Handle the entry into a TransitionTarget.
`void` | `onError(String errCode, String errDetail, Object errCtx)` Handler for reporting an error.
`void` | `onExit(TransitionTarget target)` Handle the exit out of a TransitionTarget.
`void` | `onTransition(TransitionTarget from, TransitionTarget to, Transition transition)` Handle the transition.
`void` | `warning(SAXParseException exception)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Tracer

    public Tracer()

  Constructor.

Method Detail

### warning

    public void warning(SAXParseException exception)
                 throws SAXException

  Specified by:
    `warning` in interface `ErrorHandler`
  Throws:
    `SAXException`
  See Also:
    `ErrorHandler.warning(org.xml.sax.SAXParseException)`

### error

    public void error(SAXParseException exception)
               throws SAXException

  Specified by:
    `error` in interface `ErrorHandler`
  Throws:
    `SAXException`
  See Also:
    `ErrorHandler.error(org.xml.sax.SAXParseException)`

### fatalError

    public void fatalError(SAXParseException exception)
                    throws SAXException

  Specified by:
    `fatalError` in interface `ErrorHandler`
  Throws:
    `SAXException`
  See Also:
    `ErrorHandler.fatalError(org.xml.sax.SAXParseException)`

### onError

    public void onError(String errCode,
                        String errDetail,
                        Object errCtx)

  Description copied from interface: `ErrorReporter`
  Handler for reporting an error.

  Specified by:
    `onError` in interface `ErrorReporter`
  Parameters:
    `errCode` - one of the ErrorReporter's constants
    `errDetail` - human readable description
    `errCtx` - typically an SCXML element which caused an error, may be accompanied by additional information
  See Also:
    `ErrorReporter.onError(String, String, Object)`

### onEntry

    public void onEntry(TransitionTarget target)

  Description copied from interface: `SCXMLListener`
  Handle the entry into a TransitionTarget.

  Specified by:
    `onEntry` in interface `SCXMLListener`
  Parameters:
    `target` - The TransitionTarget entered
  See Also:
    `SCXMLListener.onEntry(TransitionTarget)`

### onExit

    public void onExit(TransitionTarget target)

  Description copied from interface: `SCXMLListener`
  Handle the exit out of a TransitionTarget.

  Specified by:
    `onExit` in interface `SCXMLListener`
  Parameters:
    `target` - The TransitionTarget exited
  See Also:
    `SCXMLListener.onExit(TransitionTarget)`

### onTransition

    public void onTransition(TransitionTarget from,
                             TransitionTarget to,
                             Transition transition)

  Description copied from interface: `SCXMLListener`
  Handle the transition.

  Specified by:
    `onTransition` in interface `SCXMLListener`
  Parameters:
    `from` - The source TransitionTarget
    `to` - The destination TransitionTarget
    `transition` - The Transition taken
  See Also:
    `SCXMLListener.onTransition(TransitionTarget,TransitionTarget,Transition)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 The Apache Software Foundation. All Rights Reserved.